org.apache.lucene.util

## Interface LuceneTestCase.ThrowingRunnable

- Enclosing class:
    LuceneTestCase
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public static interface LuceneTestCase.ThrowingRunnable

  A runnable that can throw any checked exception.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

- - ### Method Detail

    - #### run

          void run()
            throws Throwable

      Throws:
        `Throwable`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.